Bug 1311903 (CVE-2016-2112)

Summary: CVE-2016-2112 samba: Missing downgrade detection
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aavati, abokovoy, asn, gdeschner, jrivera, madam, nlevinki, rfortier, rhack, sbose, security-response-team, sgirijan, smohan, ssaha, vbellur
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: samba 4.4.1, samba 4.3.7, samba 4.2.10 Doc Type: Bug Fix
Doc Text:
It was found that Samba's LDAP implementation did not enforce integrity protection for LDAP connections. A man-in-the-middle attacker could use this flaw to downgrade LDAP connections to use no integrity protection, allowing them to hijack such connections.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-04-19 05:28:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1322684, 1322685, 1322686, 1322687, 1322688, 1322689, 1322690, 1322691, 1322692, 1324800, 1324801, 1324802, 1324803, 1324804, 1324805, 1324806, 1324807, 1325382, 1325383, 1325384, 1325385, 1325645, 1325649, 1325650, 1325651, 1325832, 1325838, 1326453    
Bug Blocks: 1311915    

Description Adam Mariš 2016-02-25 10:00:58 UTC
It was found that one of the LDAP client libraries in Samba, mostly used by administration tools for an active directory domain controller, doesn't have any downgrade detection. A man in the middle is able to downgrade the connection to no integrity/privacy protection and take over the connection. In addition using no protection is the default for some tools. While there's already an smb.conf option called "client ldap sasl wrapping", which defaults to "sign".

Currently all Samba versions >= 4.0.0 are affected.

Upstream bug:

https://bugzilla.samba.org/show_bug.cgi?id=11644

Comment 6 Huzaifa S. Sidhpurwala 2016-04-11 05:32:56 UTC
Acknowledgements:

Name: the Samba project
Upstream: Stefan Metzmacher (SerNet)

Comment 7 Huzaifa S. Sidhpurwala 2016-04-11 05:45:10 UTC
External Reference:

https://access.redhat.com/articles/2243351

Comment 10 Huzaifa S. Sidhpurwala 2016-04-12 17:10:59 UTC
Public via:

https://www.samba.org/samba/security/CVE-2016-2112.html

Comment 11 Siddharth Sharma 2016-04-12 17:28:27 UTC
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1326453]

Comment 12 errata-xmlrpc 2016-04-12 17:34:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0611 https://rhn.redhat.com/errata/RHSA-2016-0611.html

Comment 13 errata-xmlrpc 2016-04-12 17:39:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:0613 https://rhn.redhat.com/errata/RHSA-2016-0613.html

Comment 14 errata-xmlrpc 2016-04-12 17:40:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:0621 https://rhn.redhat.com/errata/RHSA-2016-0621.html

Comment 15 errata-xmlrpc 2016-04-12 19:16:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.6 Long Life
  Red Hat Enterprise Linux 5.9 Long Life

Via RHSA-2016:0624 https://rhn.redhat.com/errata/RHSA-2016-0624.html

Comment 16 errata-xmlrpc 2016-04-12 19:18:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.6 Long Life
  Red Hat Enterprise Linux 5.9 Long Life

Via RHSA-2016:0623 https://rhn.redhat.com/errata/RHSA-2016-0623.html

Comment 17 errata-xmlrpc 2016-04-12 19:34:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 Advanced Update Support
  Red Hat Enterprise Linux 6.2 Advanced Update Support
  Red Hat Enterprise Linux 6.6 Extended Update Support
  Red Hat Enterprise Linux 6.5 Advanced Update Support

Via RHSA-2016:0619 https://rhn.redhat.com/errata/RHSA-2016-0619.html

Comment 18 errata-xmlrpc 2016-04-12 21:21:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 4 Extended Lifecycle Support

Via RHSA-2016:0625 https://rhn.redhat.com/errata/RHSA-2016-0625.html

Comment 19 errata-xmlrpc 2016-04-12 21:24:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.6 Extended Update Support
  Red Hat Enterprise Linux 6.5 Advanced Update Support
  Red Hat Enterprise Linux 6.4 Advanced Update Support
  Red Hat Enterprise Linux 6.2 Advanced Update Support

Via RHSA-2016:0620 https://rhn.redhat.com/errata/RHSA-2016-0620.html

Comment 20 errata-xmlrpc 2016-04-12 21:39:42 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 7
  Red Hat Gluster Storage 3.1 for RHEL 6

Via RHSA-2016:0614 https://rhn.redhat.com/errata/RHSA-2016-0614.html

Comment 21 errata-xmlrpc 2016-04-13 01:07:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:0612 https://rhn.redhat.com/errata/RHSA-2016-0612.html

Comment 22 errata-xmlrpc 2016-04-13 01:27:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.1 Extended Update Support

Via RHSA-2016:0618 https://rhn.redhat.com/errata/RHSA-2016-0618.html

Comment 23 Fedora Update System 2016-04-13 20:21:26 UTC
samba-4.3.8-0.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-04-14 04:21:11 UTC
samba-4.2.11-0.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2016-04-15 03:16:57 UTC
samba-4.4.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.